# $Revision: 1.35 $, $Date: 2012/06/27 17:21:52 $
#
# TODO:
# - package documentation
#
%define		rname		dbus-python
#
Summary:	Python library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS oparta o Pythona
Name:		python-dbus
Version:	1.1.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://dbus.freedesktop.org/releases/dbus-python/%{rname}-%{version}.tar.gz
# Source0-md5:	742c7432ad0f7c3f98291d58fa2e35dc
URL:		http://www.freedesktop.org/Software/DBusBindings
BuildRequires:	autoconf >= 2.59c
BuildRequires:	automake >= 1:1.9
BuildRequires:	cpp
BuildRequires:	dbus-devel >= 1.6
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	dbus-glib >= 0.73
Requires:	dbus-libs >= 1.6
Requires:	python-libxml2 >= 1:2.6.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS add-on library to integrate the standard D-BUS library with
Python.

%description -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z Pythonem.

%package devel
Summary:	C API for _dbus_bindings module
Summary(pl.UTF-8):	API C dla modułu _dbus_bindings
License:	AFL v2.1 or LGPL v2.1
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.6
Requires:	python-devel >= 1:2.5

%description devel
C API for _dbus_bindings module.

%description devel -l pl.UTF-8
API C dla modułu _dbus_bindings.

%prep
%setup -qn %{rname}-%{version}

%build
%configure
%{__make}
	
%install
rm -rf $RPM_BUILD_ROOT

# use sitedir instead of sitescriptdir to match PyQt4 dbus/mainloop dir

%{__make} install \
	pythondir=%{py_sitedir} \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_dbus*.la	

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{py_sitedir}/dbus
%{py_sitedir}/dbus/*.py[co]
%dir %{py_sitedir}/dbus/mainloop
%{py_sitedir}/dbus/mainloop/*.py[co]
%attr(755,root,root) %{py_sitedir}/_dbus_bindings.so
%attr(755,root,root) %{py_sitedir}/_dbus_glib_bindings.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_pkgconfigdir}/dbus-python.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-dbus.spec,v $
Revision 1.35  2012/06/27 17:21:52  qboosh
- updated to 1.1.1
- bumped dbus version to 1.6 (not strictly required, but strongly recommended)

Revision 1.34  2012/06/14 14:17:59  kiesiu
- updated to 1.1.0

Revision 1.33  2012/01/27 18:27:36  qboosh
- updated dbus dependencies

Revision 1.32  2012/01/27 09:11:12  zbyniu
- up to 1.0.0

Revision 1.31  2011/05/29 07:17:52  qboosh
- updated to 0.84.0

Revision 1.30  2010/12/08 20:51:32  qboosh
- updated to 0.83.2

Revision 1.29  2010/10/29 16:46:38  hawk
- release 3

Revision 1.28  2010/07/08 08:06:50  arekm
- release 2

Revision 1.27  2010/07/03 11:17:04  qboosh
- updated to 0.83.1

Revision 1.26  2009/08/29 19:02:58  arekm
- rel 4; be compatible with PyQt4 dbus/mainloop

Revision 1.25  2009/08/29 18:42:55  arekm
- rel 3; init files

Revision 1.24  2008/10/03 17:48:14  arekm
- release 2

Revision 1.23  2008/08/22 23:08:06  qboosh
- updated to 0.83.0

Revision 1.22  2008/07/25 12:36:30  patrys
- WHAT THE FUCK?!
- rel 3

Revision 1.21  2008/07/01 13:59:16  cactus
- owner of %{py_sitedir}/dbus/mainloop
- empty __init__.py added for proper modules loading
- rel 2

Revision 1.20  2007/12/16 15:52:58  qboosh
- updated to 0.82.4
- License is MIT now

Revision 1.19  2007-11-04 16:00:02  qboosh
- updated to 0.82.3

Revision 1.18  2007/08/12 10:11:30  qboosh
- updated to 0.82.2
- package C API header for _dbus_bindings module

Revision 1.17  2007/07/30 13:19:25  patrys
- 0.82.1
- ugly workaround for a PLD inconsistency (python has no version in name but python2.5-config has)

Revision 1.16  2007/06/12 17:55:42  qboosh
- Group fix

Revision 1.15  2007/04/27 23:01:10  qboosh
- cleanup, removed outdated patch
- updated deps (newer dbus, no Pyrex)

Revision 1.14  2007/04/27 20:50:12  qboosh
- gpm-friendly Source0 URL

Revision 1.13  2007/04/27 19:46:40  aflinta
- up to 0.80.2, added TODO

Revision 1.12  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.10  2006/12/05 16:58:28  patrys
- rel up, rebuild with new Pyrex

Revision 1.9  2006/12/05 16:08:48  patrys
- otherwise broken

Revision 1.8  2006/11/20 16:56:55  megabajt
- package .egg-info for python 2.5
- release 5

Revision 1.7  2006/10/28 09:18:00  qboosh
- more specific URL

Revision 1.6  2006/10/28 08:13:16  qboosh
- added doc

Revision 1.5  2006/10/28 07:57:27  qboosh
- fixed dbus-glib dep

Revision 1.4  2006/09/27 20:29:26  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.3  2006/09/09 17:38:57  arekm
- rel 3

Revision 1.2  2006/08/27 13:25:07  havner
- rebuild with 2.5
- rel 2

Revision 1.1  2006/08/08 17:28:06  freetz
- based on dbus.spec
